| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwPNM.cpp File Reference

Functions for reading and writing PBM, PGM and PPM files. More...

`#include "rwPNM.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
char * | pnm_next_item (char *aptr)
unsigned char * | pnm_read_data (ifstream *fimg, Bimage *p)
int | readPNM (Bimage *p, int readdata, int img_select)
| Reading a PNM type file. A simple image format. PBM bit image format. PGM grayscale image format. PPM RGB color image format. File format extensions: .pbm, .pgm, .ppm The header contains ascii text indicating the image and element sizes. Data types: byte, unsigned short. More...
int | writePNM (Bimage *p)
| Writing a PNM type file. A simple image format. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing PBM, PGM and PPM files.

Author
  Bernard Heymann

Date
  Created: 20110317
  Modified: 20120211

Definition in file rwPNM.cpp.

## Function Documentation

## ◆ pnm_next_item()

char* pnm_next_item | ( | char * | aptr | ) |

Definition at line 16 of file rwPNM.cpp.

## ◆ pnm_read_data()

unsigned char* pnm_read_data | ( | ifstream * | fimg,
|  | Bimage * | p
| ) |  |

Definition at line 31 of file rwPNM.cpp.

## ◆ readPNM()

int readPNM | ( | Bimage * | p,
|  | int | readdata,
|  | int | img_select
| ) |  |

Reading a PNM type file. A simple image format. PBM bit image format. PGM grayscale image format. PPM RGB color image format. File format extensions: .pbm, .pgm, .ppm The header contains ascii text indicating the image and element sizes. Data types: byte, unsigned short.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.
  img_select | image selection in multi-image file (-1 = all images).

Returns
  int 0, <0 on error.

Definition at line 79 of file rwPNM.cpp.

## ◆ writePNM()

int writePNM | ( | Bimage * | p | ) |

Writing a PNM type file. A simple image format.

Parameters

  *p | the image structure.

Returns
  int 0, <0 on error.

Definition at line 182 of file rwPNM.cpp.

## Variable Documentation

## ◆ verbose

int verbose